## com.baidubce.services.media.model
Class GetMediaInfoOfFileRequest

    java.lang.Object
      com.baidubce.model.AbstractBceRequest
          com.baidubce.services.media.model.GetMediaInfoOfFileRequest

    public class GetMediaInfoOfFileRequest

extends AbstractBceRequest

Constructor Summary
`GetMediaInfoOfFileRequest()`

Method Summary
`String` `getBucket()`
`String` `getKey()`
`void` `setBucket(String bucket)`
`void` `setKey(String key)`
`String` `toString()`
`GetMediaInfoOfFileRequest` `withBucket(String bucket)`
`GetMediaInfoOfFileRequest` `withKey(String key)`
`GetMediaInfoOfFileRequest` `withRequestCredentials(BceCredentials credentials)`

Methods inherited from class com.baidubce.model.AbstractBceRequest
`getRequestCredentials, setRequestCredentials`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GetMediaInfoOfFileRequest

    public GetMediaInfoOfFileRequest()

Method Detail

### getKey

    public String getKey()

### setKey

    public void setKey(String key)

### withKey

    public GetMediaInfoOfFileRequest withKey(String key)

### getBucket

    public String getBucket()

### setBucket

    public void setBucket(String bucket)

### withBucket

    public GetMediaInfoOfFileRequest withBucket(String bucket)

### withRequestCredentials

    public GetMediaInfoOfFileRequest withRequestCredentials(BceCredentials credentials)

  Specified by:
    `withRequestCredentials` in class `AbstractBceRequest`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2016. All rights reserved.